Bug 182789 - security/rkhunter config change
Summary: security/rkhunter config change
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Sofian Brabez
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-10-07 13:10 UTC by Jim Pirzyk
Modified: 2014-03-06 16:47 UTC (History)
0 users

See Also:


Attachments
file.diff (1019 bytes, patch)
2013-10-07 13:10 UTC, Jim Pirzyk
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jim Pirzyk freebsd_committer 2013-10-07 13:10:00 UTC
When using the rkhunter port as usual, one updates the mirror.dat to get new signatures.  Once this update has been done, the 'pkg_info -g' report the checksum mismatch:

pkg_info -g rkhunter-1.4.0
Information for rkhunter-1.4.0:

Mismatched Checksums:
/usr/local/var/lib/rkhunter/db/mirrors.dat fails the original MD5 checksum

How-To-Repeat: See above
Comment 1 Edwin Groothuis freebsd_committer 2013-10-08 03:16:29 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sbz

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2014-03-06 16:38:51 UTC
Author: sbz
Date: Thu Mar  6 16:38:42 2014
New Revision: 347273
URL: http://svnweb.freebsd.org/changeset/ports/347273
QAT: https://qat.redports.org/buildarchive/r347273/

Log:
  - Fix checksum mismatch problem during updates by installing signatures as sample
  
  PR:		ports/182789
  Submitted by:	pirzyk

Modified:
  head/security/rkhunter/Makefile

Modified: head/security/rkhunter/Makefile
==============================================================================
--- head/security/rkhunter/Makefile	Thu Mar  6 16:37:56 2014	(r347272)
+++ head/security/rkhunter/Makefile	Thu Mar  6 16:38:42 2014	(r347273)
@@ -3,6 +3,7 @@
 
 PORTNAME=	rkhunter
 PORTVERSION=	1.4.0
+PORTREVISION=	1
 CATEGORIES=	security
 MASTER_SITES=	SF
 
@@ -57,6 +58,14 @@ post-install:
 	@if [ ! -f ${PREFIX}/etc/${PORTNAME}.conf ]; then \
 		${INSTALL_DATA} ${WRKSRC}/${PORTNAME}.conf ${PREFIX}/etc; \
 	fi
+	${INSTALL_DATA} -m 640 ${WRKSRC}/files/programs_bad.dat ${PREFIX}/var/lib/${PORTNAME}/db/programs_bad.dat.sample
+	${INSTALL_DATA} -m 640 ${WRKSRC}/files/mirrors.dat ${PREFIX}/var/lib/${PORTNAME}/db/mirrors.dat.sample
+	@if [ ! -f ${PREFIX}/var/lib/${PORTNAME}/db/mirrors.dat ]; then \
+		${INSTALL_DATA} -m 640 ${WRKSRC}/files/mirrors.dat ${PREFIX}/var/lib/${PORTNAME}/db/mirrors.dat; \
+	fi
+	@if [ ! -f ${PREFIX}/var/lib/${PORTNAME}/db/programs_bad.dat ]; then \
+		${INSTALL_DATA} -m 640 ${WRKSRC}/files/programs_bad.dat ${PREFIX}/var/lib/${PORTNAME}/db/programs_bad.dat; \
+	fi
 	@${CAT} ${PKGMESSAGE}
 
 .include <bsd.port.post.mk>
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Sofian Brabez freebsd_committer 2014-03-06 16:47:16 UTC
State Changed
From-To: open->closed

Committed. Thanks!